<head>
  <script
    src="https://code.jquery.com/jquery-3.7.0.min.js"
    integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g="
    crossorigin="anonymous"
  ></script>
</head>
<body>
  <a href="/">Retry</a>
  <br/>
  <p id="msg"></p>
  <script src="./env.js"></script>
  <script>
    $('#msg').hide();
    const {
      AUTH_URL, AUTH_CLIENT_ID, AUTH_CLIENT_SECRET,
      AUTH_CLIENT_CALLBACK_URI, AUTH_CLIENT_SCOPE
    } = process.env
  
    const buidQs = (params) => {
      return Object.keys(params)
        .map((key) => {
          return encodeURIComponent(key) + '=' + encodeURIComponent(params[key])
        })
        .join('&')
    }
  
    const res = Object.fromEntries(new URLSearchParams(window.location.search));
    if (res.error) {
      const err = res.error + ': ' + res.error_description
      $('#msg').html(err);
      throw new Error(err)
    }
  
    const obj = {
      client_id: AUTH_CLIENT_ID,
      client_secret: AUTH_CLIENT_SECRET,
      grant_type: 'authorization_code',
      code: res.code,
      redirect_uri: AUTH_CLIENT_CALLBACK_URI,
      code_verifier: window.sessionStorage.getItem('codeVerifier'),
      code_challenge_method: 'S256'
    }
  
    $.post({
      url: env.AUTH_URL + '/token',
      data: obj,
      callback: function() {
        console.log(arguments)
      }
    })
  </script>
</body>